summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2019-09-05 18:31:03 +0200
committerLudovic Courtès <ludo@gnu.org>2019-09-05 18:33:30 +0200
commite1e3fe08480868f960eea3ec1584c0c12b022e25 (patch)
tree3c8d0bce6c69900b823b4fe1d1da1f281ded0a64 /etc
parent67c2db17bc29e483dbaffbee246c910a617744c6 (diff)
downloadpatches-e1e3fe08480868f960eea3ec1584c0c12b022e25.tar
patches-e1e3fe08480868f960eea3ec1584c0c12b022e25.tar.gz
guix-install.sh: Work around locale issues in 'guix-daemon.service'.
* etc/guix-install.sh (sys_enable_guix_daemon): Modify 'guix-daemon.service' to work around locale issues not fixed in 1.0.1.
Diffstat (limited to 'etc')
-rwxr-xr-xetc/guix-install.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 960313d462..bd3ab901ad 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -345,6 +345,17 @@ sys_enable_guix_daemon()
{ cp "${ROOT_HOME}/.config/guix/current/lib/systemd/system/guix-daemon.service" \
/etc/systemd/system/;
chmod 664 /etc/systemd/system/guix-daemon.service;
+
+ # Work around <https://bugs.gnu.org/36074>, present in 1.0.1.
+ sed -i /etc/systemd/system/guix-daemon.service \
+ -e "s/GUIX_LOCPATH='/'GUIX_LOCPATH=/";
+
+ # Work around <https://bugs.gnu.org/35671>, present in 1.0.1.
+ if ! grep en_US /etc/systemd/system/guix-daemon.service >/dev/null;
+ then sed -i /etc/systemd/system/guix-daemon.service \
+ -e 's/^Environment=\(.*\)$/Environment=\1 LC_ALL=en_US.UTF-8';
+ fi;
+
systemctl daemon-reload &&
systemctl start guix-daemon &&
systemctl enable guix-daemon; } &&